import * as React from 'react';
/**
 * Wrapper around React.lazy to make sure that if a fallback component is displayed it will be shown for a minimum amount of time to prevent flickering.
 * @param factory
 * @param options.time_before_fallback - The time before the fallback component will display (use usePastDelay hook in component), defaults to 200
 * @param options.minimum_fallback_time - The minimum amount of time the fallback components will be shown if it does show up, defaults to 500
 */
declare function lazy<T extends React.ComponentType<any>>(factory: () => Promise<{
    default: T;
}>, options?: {
    time_before_fallback?: number;
    minimum_fallback_time?: number;
}): React.LazyExoticComponent<T>;
export default lazy;
