/**
 * Hook that indicates if a certain amount of time has passed since the component was mounted.
 * @param delay - The delay time in ms, defaults to 200
 *
 * @example
 * function Loading() {
 *		const past_delay = usePastDelay();
 *		if (! past_delay) return null
 *		return <div>Loading ...</div>;
 * }
 */
declare function usePastDelay(delay?: number): boolean;
export default usePastDelay;
